org.apache.jmeter.protocol.http.sampler

## Class HTTPSamplerBaseBeanInfo

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElementBeanInfo
  - - org.apache.jmeter.protocol.http.sampler.HTTPSamplerBaseBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class HTTPSamplerBaseBeanInfo
    extends AbstractTestElementBeanInfo

This is the BeanInfo class for the TestBean HTTPSamplerBase. (every TestBean has to have a BeanInfo class)

### Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

### Constructor Summary

Constructors
Constructor and Description
`HTTPSamplerBaseBeanInfo()`

### Method Summary

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElementBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTTPSamplerBaseBeanInfo

    public HTTPSamplerBaseBeanInfo()